For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedConnectorsAPI reference
Get startedConnectorsAPI reference
  • Agent Handler
      • GETList application credentials
      • POSTCreate application credential
      • GETGet application credential
      • DELDelete application credential
      • PATCHUpdate application credential

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Agent HandlerApplication credentials

Get application credential

GET
https://ah-api.merge.dev/api/v1/application-credentials/:id/
GET
/api/v1/application-credentials/:id/
$curl https://ah-api.merge.dev/api/v1/application-credentials/id/ \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "id": "string",
3 "connector_slug": "string",
4 "client_id": "string",
5 "external_id": "string",
6 "is_global_default": true,
7 "created_at": "2024-01-15T09:30:00Z",
8 "modified_at": "2024-01-15T09:30:00Z"
9}
Retrieves an OAuth application credential by ID.
Was this page helpful?
Previous

Create application credential

Next

Delete application credential

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Response

idstringRead-onlyformat: "uuid"
connector_slugstringRead-only
client_idstringRead-only
external_idstring or nullRead-only
is_global_defaultbooleanRead-only
created_atdatetimeRead-only
modified_atdatetimeRead-only